From 3642e1652800078ab126a6d1575a370076d476e0 Mon Sep 17 00:00:00 2001
From: Maximilian Downey Twiss <creatorsmithmdt@gmail.com>
Date: Fri, 18 Nov 2022 14:31:22 +1100
Subject: [PATCH 27/56] java: Replace source_location with location_t.

gcc/java/ChangeLog:

	* decl.cc (java_replace_references): Replace source_location with location_t.
	(struct GTY): Likewise.
	* java-tree.h (struct lang_decl_func): Likewise.
---
 gcc/java/decl.cc     | 4 ++--
 gcc/java/java-tree.h | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/gcc/java/decl.cc b/gcc/java/decl.cc
index 70eac315113..4fdfaaaf8c1 100644
--- a/gcc/java/decl.cc
+++ b/gcc/java/decl.cc
@@ -341,7 +341,7 @@ java_replace_references (tree *tp, int *walk_subtrees,
 {
   if (TREE_CODE (*tp) == MODIFY_EXPR)
     {
-      source_location loc = EXPR_LOCATION (*tp);
+      location_t loc = EXPR_LOCATION (*tp);
       tree lhs = TREE_OPERAND (*tp, 0);
       /* This is specific to the bytecode compiler.  If a variable has
 	 LOCAL_SLOT_P set, replace an assignment to it with an assignment
@@ -416,7 +416,7 @@ struct GTY(())
     unsigned binding_depth;
 
     /* The location at which this level began.  */
-    source_location loc;
+    location_t loc;
   };
 
 #define NULL_BINDING_LEVEL (struct binding_level *) NULL
diff --git a/gcc/java/java-tree.h b/gcc/java/java-tree.h
index d7ccbbe8768..6f286ecf666 100644
--- a/gcc/java/java-tree.h
+++ b/gcc/java/java-tree.h
@@ -739,7 +739,7 @@ struct GTY(()) lang_decl_func {
   int max_locals;
   int max_stack;
   int arg_slot_count;
-  source_location last_line;	/* End line number for a function decl */
+  location_t last_line;	/* End line number for a function decl */
   vec<tree, va_gc> *throws_list;	/* Exception specified by `throws' */
   tree exc_obj;			/* Decl holding the exception object.  */
 
-- 
2.38.1

